---
title:
  validators:
    length:
      label: "&TITLE"
      min: 1
      max: 150
      message: VALIDATE.LENGTH_RANGE
    no_leading_whitespace:
      label: "&TITLE"
      message: VALIDATE.NO_LEAD_WS
    no_trailing_whitespace:
      label: "&TITLE"
      message: VALIDATE.NO_TRAIL_WS
    required:
      label: "&TITLE"
      message: VALIDATE.REQUIRED
description:
  validators:
    length:
      label: "&DESCRIPTION"
      min: 0
      max: 299
      message: VALIDATE.LENGTH_RANGE
  transformations:
  - trim
  - purify
price:
  validators:
    length:
      label: "&PRICE"
      min: 1
      max: 11
      message: VALIDATE.LENGTH_RANGE
    no_leading_whitespace:
      label: "&PRICE"
      message: VALIDATE.NO_LEAD_WS
    no_trailing_whitespace:
      label: "&PRICE"
      message: VALIDATE.NO_TRAIL_WS
    numeric:
      label: "&PRICE"
      message: VALIDATE.NUMERIC
    required:
      label: "&PRICE"
      message: VALIDATE.REQUIRED
sale_price:
  validators:
    length:
      label: "&SALE_PRICE"
      min: 0
      max: 11
      message: VALIDATE.LENGTH_RANGE
    no_leading_whitespace:
      label: "&SALE_PRICE"
      message: VALIDATE.NO_LEAD_WS
    no_trailing_whitespace:
      label: "&SALE_PRICE"
      message: VALIDATE.NO_TRAIL_WS
    numeric:
      label: "&SALE_PRICE"
      message: VALIDATE.NUMERIC
currency:
  validators:
    length:
      label: "&CURRENCY"
      min: 1
      max: 10
      message: VALIDATE.LENGTH_RANGE
    no_leading_whitespace:
      label: "&CURRENCY"
      message: VALIDATE.NO_LEAD_WS
    no_trailing_whitespace:
      label: "&CURRENCY"
      message: VALIDATE.NO_TRAIL_WS	  
    required:
      label: "&CURRENCY"
      message: VALIDATE.REQUIRED
url:
  validators:
    length:
      label: "&URL"
      min: 1
      max: 999
      message: VALIDATE.LENGTH_RANGE
    no_leading_whitespace:
      label: "&URL"
      message: VALIDATE.NO_LEAD_WS
    no_trailing_whitespace:
      label: "&URL"
      message: VALIDATE.NO_TRAIL_WS
is_available:
  validators:
    range:
      min: 0
      max: 1
      label: "&IS_AVAILABLE"
      message: VALIDATE.SHOULD_BE_ZERO_OR_ONE_INTEGER
      domain: server
    required:
      label: "&IS_AVAILABLE"
      message: VALIDATE.REQUIRED
product_category_id:
  validators:
    required:
      label: "&PRODUCT_CATEGORY"
      message: VALIDATE.REQUIRED
product_brand_id:
  validators:
    required:
      label: "&PRODUCT_BRAND"
      message: VALIDATE.REQUIRED
country_id:
  validators:
    required:
      label: "&COUNTRY"
      message: VALIDATE.REQUIRED
product_image_id:
product_size_id:
product_tag_id:
product_gender_id: